
/*
 *	MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.puzzle_code.init;

import net.neoforged.neoforge.client.event.RegisterMenuScreensEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;
import net.neoforged.api.distmarker.Dist;

import net.mcreator.puzzle_code.client.gui.YellowSwicherBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.WalkingReactGUIPageScreen;
import net.mcreator.puzzle_code.client.gui.WalkingBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.UnswitchableTermsNumberCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.TutorialGadgetGUITutorialScreen;
import net.mcreator.puzzle_code.client.gui.TutorialGadgetGUIScreen;
import net.mcreator.puzzle_code.client.gui.TransferNeutralCodeBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.TransferNeutralCodeBlockGUI1Screen;
import net.mcreator.puzzle_code.client.gui.TransferItemCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.TransferCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.TitleTextCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.TimedLogicCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.TextCodeItemGUIScreen;
import net.mcreator.puzzle_code.client.gui.TextCodeBlockGuiScreen;
import net.mcreator.puzzle_code.client.gui.TeleporterTextCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.TeleporterTextCodeBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.TeleporterPositionCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.TeleporterPositionCodeBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.TeleporterNumberCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.TeleporterNumberCodeBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.TeleporterLogicCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.TeleporterLogicCodeBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.TeleporterItemCodeBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.TeleporterItemCodeBlockGUI1Screen;
import net.mcreator.puzzle_code.client.gui.TeleporterAreaCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.TeleporterAreaCodeBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.SwitcherBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.SwitchableTermsNumberCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.ReplacerGUIScreen;
import net.mcreator.puzzle_code.client.gui.RedstoneReactGUIPageScreen;
import net.mcreator.puzzle_code.client.gui.RedstoneContinuouslyGUIScreen;
import net.mcreator.puzzle_code.client.gui.RangeGUIPageScreen;
import net.mcreator.puzzle_code.client.gui.RandomizerNumberCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.RandomItemFromTagScreen;
import net.mcreator.puzzle_code.client.gui.RandomItemFromTagCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.PropertyTransferCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.PropertyToNBTCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.PowerEffectGUIScreen;
import net.mcreator.puzzle_code.client.gui.PositionSetGUIScreen;
import net.mcreator.puzzle_code.client.gui.PositionGUIScreen;
import net.mcreator.puzzle_code.client.gui.PositionCodeItemGUIScreen;
import net.mcreator.puzzle_code.client.gui.PositionCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.NumberCodeItemGUIScreen;
import net.mcreator.puzzle_code.client.gui.NumberCodeBlockGuiScreen;
import net.mcreator.puzzle_code.client.gui.NeutralCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.NearReactGUIPageScreen;
import net.mcreator.puzzle_code.client.gui.NearEntityYellowSwitchingBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.NearEntitySwitchingBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.NBTVerifierGUIScreen;
import net.mcreator.puzzle_code.client.gui.NBTToPropertyCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.LogicCodeItemGUIScreen;
import net.mcreator.puzzle_code.client.gui.LogicCodeBlockGuiScreen;
import net.mcreator.puzzle_code.client.gui.ItemPositionGUIScreen;
import net.mcreator.puzzle_code.client.gui.ItemConfiguratorGUIScreen;
import net.mcreator.puzzle_code.client.gui.ItemCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.ItemAreaGUIScreen;
import net.mcreator.puzzle_code.client.gui.IsDisabledGUIPageScreen;
import net.mcreator.puzzle_code.client.gui.InventoryReplacerGUIScreen;
import net.mcreator.puzzle_code.client.gui.InventoryReplacerGUI4Screen;
import net.mcreator.puzzle_code.client.gui.InventoryReplacerGUI3Screen;
import net.mcreator.puzzle_code.client.gui.InventoryReplacerGUI2Screen;
import net.mcreator.puzzle_code.client.gui.ImitatorTextCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.ImitatorSwitchingBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.ImitatorSwitchingBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.ImitatorPositionCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.ImitatorNumberCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.ImitatorLogicCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.ImitatorItemCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.ImitatorItemCodeBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.ImitatorDirectionCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.ImitatorAreaCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.HealthChangerBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.HealthChangerBlockGUIRangeScreen;
import net.mcreator.puzzle_code.client.gui.HealthBlockGuiClickingReactScreen;
import net.mcreator.puzzle_code.client.gui.HealthBlockGUIWalkingReactScreen;
import net.mcreator.puzzle_code.client.gui.HealthBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.HealthBlockGUIRedstoneReactScreen;
import net.mcreator.puzzle_code.client.gui.HealthBlockGUIRangeScreen;
import net.mcreator.puzzle_code.client.gui.HealthBlockGUINearReactScreen;
import net.mcreator.puzzle_code.client.gui.HealthBlockGUIIsDisabledScreen;
import net.mcreator.puzzle_code.client.gui.HealthBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.FillerItemCodeBlockGUI3Screen;
import net.mcreator.puzzle_code.client.gui.FillerItemCodeBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.FillerItemCodeBlockGUI1Screen;
import net.mcreator.puzzle_code.client.gui.FillerGui2Screen;
import net.mcreator.puzzle_code.client.gui.FillerGui1Screen;
import net.mcreator.puzzle_code.client.gui.FillerCodeBlockGUI3Screen;
import net.mcreator.puzzle_code.client.gui.FillerCodeBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.FillerCodeBlockGUI1Screen;
import net.mcreator.puzzle_code.client.gui.EntityDetectorGUIScreen;
import net.mcreator.puzzle_code.client.gui.EffectBlockGUI3Screen;
import net.mcreator.puzzle_code.client.gui.EffectBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.EffectBlockGUI1Screen;
import net.mcreator.puzzle_code.client.gui.DurationEffectGUIScreen;
import net.mcreator.puzzle_code.client.gui.DirectionCodeItemGUIScreen;
import net.mcreator.puzzle_code.client.gui.DirectionCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.CustomEffectBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.CustomEffectBlockGUIRedstoneContinuouslyScreen;
import net.mcreator.puzzle_code.client.gui.CustomEffectBlockGUIPowerEffectScreen;
import net.mcreator.puzzle_code.client.gui.CustomEffectBlockGUI4Screen;
import net.mcreator.puzzle_code.client.gui.CustomEffectBlockGUI3Screen;
import net.mcreator.puzzle_code.client.gui.CustomEffectBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.CreativeSettingsGUIScreen;
import net.mcreator.puzzle_code.client.gui.CreativeSettingsGUIGamerulesScreen;
import net.mcreator.puzzle_code.client.gui.CreativeSettingsGUICreativeItemsScreen;
import net.mcreator.puzzle_code.client.gui.CommandCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.CommandCodeBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.ClickingReactGUIPageScreen;
import net.mcreator.puzzle_code.client.gui.CheckpointBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.CheckpointBlockGUI1Screen;
import net.mcreator.puzzle_code.client.gui.ChainSwitchingBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.CatapulterItemGUIScreen;
import net.mcreator.puzzle_code.client.gui.CatapulterBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.CatapulterBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.BlockPlacerFromPositionCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.BlockFillerFromPositionCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.AreaGUIScreen;
import net.mcreator.puzzle_code.client.gui.AreaCodeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.AreaCodeBlockGUIAreaScreen;
import net.mcreator.puzzle_code.client.gui.AdvancedTimeBlockGUIScreen;
import net.mcreator.puzzle_code.client.gui.AdvancedTeleporterBlockGuiScreen;
import net.mcreator.puzzle_code.client.gui.AdvancedTeleporterBlockGUI3Screen;
import net.mcreator.puzzle_code.client.gui.AdvancedTeleporterBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.AdvancedPlacerGUIScreen;
import net.mcreator.puzzle_code.client.gui.AdvancedPlacerBlockRedstoneContinuouslyScreen;
import net.mcreator.puzzle_code.client.gui.AdvancedPlacerBlockGUIRedstoneReactScreen;
import net.mcreator.puzzle_code.client.gui.AdvancedPlacerBlockGUIRangeScreen;
import net.mcreator.puzzle_code.client.gui.AdvancedPlacerBlockGUI2Screen;
import net.mcreator.puzzle_code.client.gui.ABlockIsBrokenGlobalBlockGUIScreen;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
public class PuzzleCodeModScreens {
	@SubscribeEvent
	public static void clientLoad(RegisterMenuScreensEvent event) {
		event.register(PuzzleCodeModMenus.CREATIVE_SETTINGS_GUI.get(), CreativeSettingsGUIScreen::new);
		event.register(PuzzleCodeModMenus.ADVANCED_TELEPORTER_BLOCK_GUI.get(), AdvancedTeleporterBlockGuiScreen::new);
		event.register(PuzzleCodeModMenus.ADVANCED_PLACER_GUI.get(), AdvancedPlacerGUIScreen::new);
		event.register(PuzzleCodeModMenus.YELLOW_SWICHER_BLOCK_GUI.get(), YellowSwicherBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.WALKING_BLOCK_GUI.get(), WalkingBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.HEALTH_CHANGER_BLOCK_GUI.get(), HealthChangerBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.NUMBER_CODE_BLOCK_GUI.get(), NumberCodeBlockGuiScreen::new);
		event.register(PuzzleCodeModMenus.LOGIC_CODE_BLOCK_GUI.get(), LogicCodeBlockGuiScreen::new);
		event.register(PuzzleCodeModMenus.TEXT_CODE_BLOCK_GUI.get(), TextCodeBlockGuiScreen::new);
		event.register(PuzzleCodeModMenus.REPLACER_GUI.get(), ReplacerGUIScreen::new);
		event.register(PuzzleCodeModMenus.ITEM_CODE_BLOCK_GUI.get(), ItemCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.COMMAND_CODE_BLOCK_GUI.get(), CommandCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.POSITION_SET_GUI.get(), PositionSetGUIScreen::new);
		event.register(PuzzleCodeModMenus.CREATIVE_SETTINGS_GUI_CREATIVE_ITEMS.get(), CreativeSettingsGUICreativeItemsScreen::new);
		event.register(PuzzleCodeModMenus.FILLER_GUI_1.get(), FillerGui1Screen::new);
		event.register(PuzzleCodeModMenus.FILLER_GUI_2.get(), FillerGui2Screen::new);
		event.register(PuzzleCodeModMenus.RANDOMIZER_NUMBER_CODE_BLOCK_GUI.get(), RandomizerNumberCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.CREATIVE_SETTINGS_GUI_GAMERULES.get(), CreativeSettingsGUIGamerulesScreen::new);
		event.register(PuzzleCodeModMenus.A_BLOCK_IS_BROKEN_GLOBAL_BLOCK_GUI.get(), ABlockIsBrokenGlobalBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TITLE_TEXT_CODE_BLOCK_GUI.get(), TitleTextCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.INVENTORY_REPLACER_GUI.get(), InventoryReplacerGUIScreen::new);
		event.register(PuzzleCodeModMenus.INVENTORY_REPLACER_GUI_2.get(), InventoryReplacerGUI2Screen::new);
		event.register(PuzzleCodeModMenus.INVENTORY_REPLACER_GUI_3.get(), InventoryReplacerGUI3Screen::new);
		event.register(PuzzleCodeModMenus.INVENTORY_REPLACER_GUI_4.get(), InventoryReplacerGUI4Screen::new);
		event.register(PuzzleCodeModMenus.IMITATOR_ITEM_CODE_BLOCK_GUI.get(), ImitatorItemCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.IMITATOR_ITEM_CODE_BLOCK_GUI_2.get(), ImitatorItemCodeBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.SWITCHABLE_TERMS_NUMBER_CODE_BLOCK_GUI.get(), SwitchableTermsNumberCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.UNSWITCHABLE_TERMS_NUMBER_CODE_BLOCK_GUI.get(), UnswitchableTermsNumberCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TRANSFER_ITEM_CODE_BLOCK_GUI.get(), TransferItemCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_ITEM_CODE_BLOCK_GUI_1.get(), TeleporterItemCodeBlockGUI1Screen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_ITEM_CODE_BLOCK_GUI_2.get(), TeleporterItemCodeBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.NBT_VERIFIER_GUI.get(), NBTVerifierGUIScreen::new);
		event.register(PuzzleCodeModMenus.TRANSFER_CODE_BLOCK_GUI.get(), TransferCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_NUMBER_CODE_BLOCK_GUI.get(), TeleporterNumberCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.IMITATOR_NUMBER_CODE_BLOCK_GUI.get(), ImitatorNumberCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_NUMBER_CODE_BLOCK_GUI_2.get(), TeleporterNumberCodeBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.IMITATOR_LOGIC_CODE_BLOCK_GUI.get(), ImitatorLogicCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_LOGIC_CODE_BLOCK_GUI_2.get(), TeleporterLogicCodeBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_LOGIC_CODE_BLOCK_GUI.get(), TeleporterLogicCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.IMITATOR_TEXT_CODE_BLOCK_GUI.get(), ImitatorTextCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_TEXT_CODE_BLOCK_GUI.get(), TeleporterTextCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_TEXT_CODE_BLOCK_GUI_2.get(), TeleporterTextCodeBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.PROPERTY_TO_NBT_CODE_BLOCK_GUI.get(), PropertyToNBTCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.NBT_TO_PROPERTY_CODE_BLOCK_GUI.get(), NBTToPropertyCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.PROPERTY_TRANSFER_CODE_BLOCK_GUI.get(), PropertyTransferCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.FILLER_CODE_BLOCK_GUI_1.get(), FillerCodeBlockGUI1Screen::new);
		event.register(PuzzleCodeModMenus.FILLER_CODE_BLOCK_GUI_2.get(), FillerCodeBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.FILLER_CODE_BLOCK_GUI_3.get(), FillerCodeBlockGUI3Screen::new);
		event.register(PuzzleCodeModMenus.FILLER_ITEM_CODE_BLOCK_GUI_1.get(), FillerItemCodeBlockGUI1Screen::new);
		event.register(PuzzleCodeModMenus.FILLER_ITEM_CODE_BLOCK_GUI_2.get(), FillerItemCodeBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.FILLER_ITEM_CODE_BLOCK_GUI_3.get(), FillerItemCodeBlockGUI3Screen::new);
		event.register(PuzzleCodeModMenus.EFFECT_BLOCK_GUI_3.get(), EffectBlockGUI3Screen::new);
		event.register(PuzzleCodeModMenus.EFFECT_BLOCK_GUI_1.get(), EffectBlockGUI1Screen::new);
		event.register(PuzzleCodeModMenus.ENTITY_DETECTOR_GUI.get(), EntityDetectorGUIScreen::new);
		event.register(PuzzleCodeModMenus.CHECKPOINT_BLOCK_GUI_1.get(), CheckpointBlockGUI1Screen::new);
		event.register(PuzzleCodeModMenus.CHECKPOINT_BLOCK_GUI_2.get(), CheckpointBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.COMMAND_CODE_BLOCK_GUI_2.get(), CommandCodeBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.HEALTH_BLOCK_GUI.get(), HealthBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.HEALTH_BLOCK_GUI_2.get(), HealthBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.ADVANCED_TELEPORTER_BLOCK_GUI_2.get(), AdvancedTeleporterBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.ADVANCED_TELEPORTER_BLOCK_GUI_3.get(), AdvancedTeleporterBlockGUI3Screen::new);
		event.register(PuzzleCodeModMenus.ADVANCED_PLACER_BLOCK_GUI_2.get(), AdvancedPlacerBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.HEALTH_CHANGER_BLOCK_GUI_RANGE.get(), HealthChangerBlockGUIRangeScreen::new);
		event.register(PuzzleCodeModMenus.HEALTH_BLOCK_GUI_RANGE.get(), HealthBlockGUIRangeScreen::new);
		event.register(PuzzleCodeModMenus.HEALTH_BLOCK_GUI_NEAR_REACT.get(), HealthBlockGUINearReactScreen::new);
		event.register(PuzzleCodeModMenus.HEALTH_BLOCK_GUI_CLICKING_REACT.get(), HealthBlockGuiClickingReactScreen::new);
		event.register(PuzzleCodeModMenus.HEALTH_BLOCK_GUI_WALKING_REACT.get(), HealthBlockGUIWalkingReactScreen::new);
		event.register(PuzzleCodeModMenus.HEALTH_BLOCK_GUI_IS_DISABLED.get(), HealthBlockGUIIsDisabledScreen::new);
		event.register(PuzzleCodeModMenus.HEALTH_BLOCK_GUI_REDSTONE_REACT.get(), HealthBlockGUIRedstoneReactScreen::new);
		event.register(PuzzleCodeModMenus.ADVANCED_PLACER_BLOCK_GUI_RANGE.get(), AdvancedPlacerBlockGUIRangeScreen::new);
		event.register(PuzzleCodeModMenus.ADVANCED_PLACER_BLOCK_GUI_REDSTONE_REACT.get(), AdvancedPlacerBlockGUIRedstoneReactScreen::new);
		event.register(PuzzleCodeModMenus.ADVANCED_PLACER_BLOCK_REDSTONE_CONTINUOUSLY.get(), AdvancedPlacerBlockRedstoneContinuouslyScreen::new);
		event.register(PuzzleCodeModMenus.CHAIN_SWITCHING_BLOCK_GUI.get(), ChainSwitchingBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.IMITATOR_SWITCHING_BLOCK_GUI.get(), ImitatorSwitchingBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.IMITATOR_SWITCHING_BLOCK_GUI_2.get(), ImitatorSwitchingBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.NEAR_ENTITY_SWITCHING_BLOCK_GUI.get(), NearEntitySwitchingBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.NEAR_ENTITY_YELLOW_SWITCHING_BLOCK_GUI.get(), NearEntityYellowSwitchingBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.CATAPULTER_BLOCK_GUI.get(), CatapulterBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.CATAPULTER_BLOCK_GUI_2.get(), CatapulterBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.ADVANCED_TIME_BLOCK_GUI.get(), AdvancedTimeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.ITEM_CONFIGURATOR_GUI.get(), ItemConfiguratorGUIScreen::new);
		event.register(PuzzleCodeModMenus.RANGE_GUI_PAGE.get(), RangeGUIPageScreen::new);
		event.register(PuzzleCodeModMenus.REDSTONE_REACT_GUI_PAGE.get(), RedstoneReactGUIPageScreen::new);
		event.register(PuzzleCodeModMenus.WALKING_REACT_GUI_PAGE.get(), WalkingReactGUIPageScreen::new);
		event.register(PuzzleCodeModMenus.CLICKING_REACT_GUI_PAGE.get(), ClickingReactGUIPageScreen::new);
		event.register(PuzzleCodeModMenus.EFFECT_BLOCK_GUI_2.get(), EffectBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.IS_DISABLED_GUI_PAGE.get(), IsDisabledGUIPageScreen::new);
		event.register(PuzzleCodeModMenus.DIRECTION_CODE_BLOCK_GUI.get(), DirectionCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.NEAR_REACT_GUI_PAGE.get(), NearReactGUIPageScreen::new);
		event.register(PuzzleCodeModMenus.IMITATOR_DIRECTION_CODE_BLOCK_GUI.get(), ImitatorDirectionCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.POSITION_GUI.get(), PositionGUIScreen::new);
		event.register(PuzzleCodeModMenus.ITEM_POSITION_GUI.get(), ItemPositionGUIScreen::new);
		event.register(PuzzleCodeModMenus.CATAPULTER_ITEM_GUI.get(), CatapulterItemGUIScreen::new);
		event.register(PuzzleCodeModMenus.NEUTRAL_CODE_BLOCK_GUI.get(), NeutralCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.NUMBER_CODE_ITEM_GUI.get(), NumberCodeItemGUIScreen::new);
		event.register(PuzzleCodeModMenus.LOGIC_CODE_ITEM_GUI.get(), LogicCodeItemGUIScreen::new);
		event.register(PuzzleCodeModMenus.TEXT_CODE_ITEM_GUI.get(), TextCodeItemGUIScreen::new);
		event.register(PuzzleCodeModMenus.DIRECTION_CODE_ITEM_GUI.get(), DirectionCodeItemGUIScreen::new);
		event.register(PuzzleCodeModMenus.POSITION_CODE_BLOCK_GUI.get(), PositionCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TRANSFER_NEUTRAL_CODE_BLOCK_GUI_1.get(), TransferNeutralCodeBlockGUI1Screen::new);
		event.register(PuzzleCodeModMenus.TRANSFER_NEUTRAL_CODE_BLOCK_GUI_2.get(), TransferNeutralCodeBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.AREA_GUI.get(), AreaGUIScreen::new);
		event.register(PuzzleCodeModMenus.AREA_CODE_BLOCK_GUI.get(), AreaCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.RANDOM_ITEM_FROM_TAG.get(), RandomItemFromTagScreen::new);
		event.register(PuzzleCodeModMenus.RANDOM_ITEM_FROM_TAG_CODE_BLOCK_GUI.get(), RandomItemFromTagCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.ITEM_AREA_GUI.get(), ItemAreaGUIScreen::new);
		event.register(PuzzleCodeModMenus.POSITION_CODE_ITEM_GUI.get(), PositionCodeItemGUIScreen::new);
		event.register(PuzzleCodeModMenus.TIMED_LOGIC_CODE_BLOCK_GUI.get(), TimedLogicCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.SWITCHER_BLOCK_GUI.get(), SwitcherBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TUTORIAL_GADGET_GUI_TUTORIAL.get(), TutorialGadgetGUITutorialScreen::new);
		event.register(PuzzleCodeModMenus.TUTORIAL_GADGET_GUI.get(), TutorialGadgetGUIScreen::new);
		event.register(PuzzleCodeModMenus.CUSTOM_EFFECT_BLOCK_GUI_2.get(), CustomEffectBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.CUSTOM_EFFECT_BLOCK_GUI.get(), CustomEffectBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.CUSTOM_EFFECT_BLOCK_GUI_POWER_EFFECT.get(), CustomEffectBlockGUIPowerEffectScreen::new);
		event.register(PuzzleCodeModMenus.CUSTOM_EFFECT_BLOCK_GUI_3.get(), CustomEffectBlockGUI3Screen::new);
		event.register(PuzzleCodeModMenus.CUSTOM_EFFECT_BLOCK_GUI_REDSTONE_CONTINUOUSLY.get(), CustomEffectBlockGUIRedstoneContinuouslyScreen::new);
		event.register(PuzzleCodeModMenus.CUSTOM_EFFECT_BLOCK_GUI_4.get(), CustomEffectBlockGUI4Screen::new);
		event.register(PuzzleCodeModMenus.DURATION_EFFECT_GUI.get(), DurationEffectGUIScreen::new);
		event.register(PuzzleCodeModMenus.POWER_EFFECT_GUI.get(), PowerEffectGUIScreen::new);
		event.register(PuzzleCodeModMenus.REDSTONE_CONTINUOUSLY_GUI.get(), RedstoneContinuouslyGUIScreen::new);
		event.register(PuzzleCodeModMenus.AREA_CODE_BLOCK_GUI_AREA.get(), AreaCodeBlockGUIAreaScreen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_AREA_CODE_BLOCK_GUI.get(), TeleporterAreaCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_AREA_CODE_BLOCK_GUI_2.get(), TeleporterAreaCodeBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_POSITION_CODE_BLOCK_GUI.get(), TeleporterPositionCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.TELEPORTER_POSITION_CODE_BLOCK_GUI_2.get(), TeleporterPositionCodeBlockGUI2Screen::new);
		event.register(PuzzleCodeModMenus.IMITATOR_AREA_CODE_BLOCK_GUI.get(), ImitatorAreaCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.IMITATOR_POSITION_CODE_BLOCK_GUI.get(), ImitatorPositionCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.BLOCK_PLACER_FROM_POSITION_CODE_BLOCK_GUI.get(), BlockPlacerFromPositionCodeBlockGUIScreen::new);
		event.register(PuzzleCodeModMenus.BLOCK_FILLER_FROM_POSITION_CODE_BLOCK_GUI.get(), BlockFillerFromPositionCodeBlockGUIScreen::new);
	}
}
